/* Google Font */
@import url('https://fonts.googleapis.com/css?family=Solway&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Solway', serif;
  font-weight: 400;
  line-height: 1.4;
  font-size: 1.5rem;
}

/* General */
button {
  font-size: 1.5rem;
  padding: 10px;
  cursor: pointer;
  border: none;
  background: #60AEBF;
  color: #F2EBEE;
}

button:hover { 
  background: #5397A6;
  color: #fff; 
}

.highlight-color { background: #F26D44; }

.highlight-color:hover { background: #D9613D; }

/* Main Container */
#main-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  margin: 2rem auto;
  max-width: 325px;
  background: #122A40;
  border-radius: 10px;
}

/* Display */
#display {
  font-size: 1.5rem;
  text-align: right;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  width: 100%;
  height: 4rem;
  margin: 1rem auto;
  padding: 1rem;
  border: 2px solid #F2EBEE;
  border-radius: 10px;
  background: #F2EBEE;
  color: #000;
}

/* Button Container */
#button-container {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(5, 1fr);
  justify-items: stretch;
  align-items: stretch;
  width: 100%;
}

/* Buttons */
#num1 {
  grid-column: 1 / span 1;
  grid-row: 4 / span 1;
}

#num2 {
  grid-column: 2 / span 1;
  grid-row: 4 / span 1;
}

#num3 {
  grid-column: 3 / span 1;
  grid-row: 4 / span 1;
}

#num4 {
  grid-column: 1 / span 1;
  grid-row: 3 / span 1;
}

#num5 {
  grid-column: 2 / span 1;
  grid-row: 3 / span 1;
}

#num6 {
  grid-column: 3 / span 1;
  grid-row: 3 / span 1;
}

#num7 {
  grid-column: 1 / span 1;
  grid-row: 2 / span 1;
}

#num8 {
  grid-column: 2 / span 1;
  grid-row: 2 / span 1;
}

#num9 {
  grid-column: 3 / span 1;
  grid-row: 2 / span 1;
}

#num0 {
  grid-column: 2 / span 1;
  grid-row: 5 / span 1;
}

#clear {
  grid-column: 1 / span 1;
  grid-row: 1 / span 1;
  border-top-left-radius: 10px;
}

#delete {
  grid-column: 4 / span 1;
  grid-row: 1 / span 1;
  border-top-right-radius: 10px;
}

#multiply {
  grid-column: 3 / span 1;
  grid-row: 1 / span 1;
}

#divide {
  grid-column: 2 / span 1;
  grid-row: 1 / span 1;
}

#add {
  grid-column: 4 / span 1;
  grid-row: 3 / span 1;
}

#subtract {
  grid-column: 4 / span 1;
  grid-row: 2 / span 1;
}

#equal {
  grid-column: 4 / span 1;
  grid-row: 4 / span 2;
  border-bottom-right-radius: 10px;
}

#period {
  grid-column: 3 / span 1;
  grid-row: 5 / span 1;
}

#negate {
  grid-column: 1 / span 1;
  grid-row: 5 / span 1;
  border-bottom-left-radius: 10px;
}

